System requirements

Created: - Updated:

This article covers these topics:

Lumi Say Dashboard recommended browsers

Lumi Say Dashboard has been optimized for:

  • Firefox 27
  • Google Chrome 32 & 33
  • Safari 7
  • Internet Explorer 8 & 11

Lumi Say App supported platforms

You can install the Lumi Say application on any of the following platforms:

  • iOS 7.0 onwards
  • Android 2.3 onwards 

Lumi Say HTML5 client supported browsers

Lumi Say HTML5 client supports the following browsers:

  • PC Internet Explorer 11
  • PC/MAC Firefox 27
  • PC/MAC Chrome 32 & 33
  • PC/MAC Safari 7
  • iOS Safari 7
  • Android Chrome latest
  • Windows IE mobile
  • Blackberry 5.0 onwards

Installing the App on a mobile device

To install the app on a mobile device, simply open this link on your device, and follow the instruction on screen:

http://get.lumisay.com/

Please note: if you are the owner of a Lumi Say branded instance please download your app directly from iTunes or Google Play